import { Corporate } from "@/@types/corporates";
import { ConfiguredCorporateContext } from "@/contexts/ConfiguredCorporateContext";
import { Card, Grid } from "@mui/material";
import { useContext, useEffect, useState } from "react";
import { useParams } from "react-router-dom";
import HeaderBreadcrumbs from "../../../components/HeaderBreadcrumbs";
import Page from "../../../components/Page";
import useSettings from "../../../hooks/useSettings";
import CorporateTabNavigations from "../CorporateTabNavigations";
import DivisionsList from "./List";



export default function Divisions() {
  const { themeStretch } = useSettings();

  const { corporate_id } = useParams();
  
  const [corporate, setCorporate] = useState<Corporate|null>();

  const configuredCorporateContext = useContext(ConfiguredCorporateContext);

  useEffect(() => {
    setCorporate(configuredCorporateContext.currentCorporate);
  }, [configuredCorporateContext])

  return (
    <Page title="Division">

      <HeaderBreadcrumbs
        heading={'Division'}
        links={[
          {
            name: 'Corporates',
            href: '/corporates',
          },
          {
            name: corporate?.name ?? '-',
            href: '/corporates/' + corporate_id,
          },
          {
            name: 'Division',
            href: '/corporates/' + corporate_id + '/divisions',
          },
        ]}
      />

      <Card>
        <CorporateTabNavigations position={'divisions'} />
        <DivisionsList />
      </Card>
    </Page>
  );
}
